define({"282":{y:0,u:"../Content/Actions/Training/ExportVehicleModelDatabase.htm",l:-1,t:"ExportVehicleModelDatabase",i:0.000429248929329569,a:"Exports a database of vehicle models to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"cars\": /action=ExportVehicleModelDatabase\u0026database=cars\n                                  ..."},"283":{y:0,u:"../Content/Actions/Training/GetVehicleModelImage.htm",l:-1,t:"GetVehicleModelImage",i:0.000232026246712445,a:"Returns a training image associated with a vehicle model. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example curl http://localhost:14000 -F action=getvehiclemodelimage\n                            -F database=Cars\n           ..."},"284":{y:0,u:"../Content/Actions/Training/ImportVehicleModelDatabase.htm",l:-1,t:"ImportVehicleModelDatabase",i:0.000232026246712445,a:"Imports a vehicle model database that was exported using the action  ExportVehicleModelDatabase . Type: asynchronous Example The following example imports a database from the file cars.dat in the current directory: curl http://host:14000/action=ImportVehicleModelDatabase -F dbdata=@cars.dat Response ..."},"285":{y:0,u:"../Content/Actions/Training/ListVehicleMakes.htm",l:-1,t:"ListVehicleMakes",i:0.000602531734389383,a:"Lists the vehicle makes that Media Server has been pre-trained to recognize. Type: synchronous Example /action=ListVehicleMakes Response \u003cautnresponse\u003e\n  \u003caction\u003eLISTVEHICLEMAKES\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  \u003cresponsedata\u003e\n    \u003cvehiclemakes\u003e\n      \u003cmake\u003eAlpha Romeo\u003c/make\u003e\n      ..."},"286":{y:0,u:"../Content/Actions/Training/ListVehicleModelDatabases.htm",l:-1,t:"ListVehicleModelDatabases",i:0.000232026246712445,a:"Lists the databases that have been created to store vehicle models for use with vehicle model recognition. Type: synchronous Example /action=ListVehicleModelDatabases Response The response includes a list of databases, and the number of models that exist in each database. \u003cautnresponse\u003e\n  ..."},"287":{y:0,u:"../Content/Actions/Training/ListVehicleModels.htm",l:-1,t:"ListVehicleModels",i:0.000232026246712445,a:"Returns a list of vehicle models in a specified database. The action can also return information about the images and metadata associated with each vehicle model. Type: synchronous Example The following example lists up to 10 vehicle models contained in the Cars database: ..."},"288":{y:0,u:"../Content/Actions/Training/MoveVehicleModel.htm",l:-1,t:"MoveVehicleModel",i:0.000232026246712445,a:"Moves a vehicle model from one database to another. Type: synchronous Example /action=MoveVehicleModel\u0026database=cars\n                        \u0026identifier=6600dc0f9dd72d0cb55589e8f1d28b62\n                        \u0026newdatabase=vans      Response \u003cautnresponse\u003e\n  \u003caction\u003eMOVEVEHICLEMODEL\u003c/action\u003e\n  ..."},"289":{y:0,u:"../Content/Actions/Training/MoveVehicleModelImage.htm",l:-1,t:"MoveVehicleModelImage",i:0.000232026246712445,a:"Moves a training image from one vehicle model to another. Use this action if you add a training image to the wrong vehicle model. Type: synchronous Example /action=MoveVehicleModelImage\u0026database=Cars\n                             \u0026identifier=FordFocusRS\n                             ..."},"290":{y:0,u:"../Content/Actions/Training/NewVehicleModel.htm",l:-1,t:"NewVehicleModel",i:0.000892176035380868,a:"Inserts a new vehicle model into a database of vehicle models. This action does not add training images or metadata to the new model. Type: synchronous Example The following example adds a vehicle model to the Cars database. You can use the name of the vehicle model as the identifier. All ..."},"291":{y:0,u:"../Content/Actions/Training/NullVehicleModelImageData.htm",l:-1,t:"NullVehicleModelImageData",i:0.000328222683437941,a:"Removes (deletes) images from a vehicle model, but does not remove the training generated from those images. This means that the vehicle model can still be recognized but the training images are no longer stored in the database. Removing the training images means that the training cannot be updated ..."},"292":{y:0,u:"../Content/Actions/Training/RelabelVehicleModelImage.htm",l:-1,t:"RelabelVehicleModelImage",i:0.000232026246712445,a:"Relabels a vehicle model image. Use this action to change the label for a training image that you have already added to a vehicle model. Type: synchronous Example /action=RelabelVehicleModelImage\u0026database=Cars\n                                \u0026identifier=FordFocusRS\n                                ..."},"293":{y:0,u:"../Content/Actions/Training/RemoveVehicleModel.htm",l:-1,t:"RemoveVehicleModel",i:0.000232026246712445,a:"Removes (deletes) an existing vehicle model. All training images and associated data are discarded. Type: synchronous Example /action=RemoveVehicleModel\u0026database=Cars\u0026identifier=FordFocusRS Response \u003cautnresponse\u003e\n  \u003caction\u003eREMOVEVEHICLEMODEL\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"294":{y:0,u:"../Content/Actions/Training/RemoveVehicleModelDatabase.htm",l:-1,t:"RemoveVehicleModelDatabase",i:0.000232026246712445,a:"Removes (deletes) a database that stores vehicle models. All images and data contained in the specified database are deleted.  Type: synchronous Example The following example removes the database Cars. /action=RemoveVehicleModelDatabase\u0026database=Cars Response \u003cautnresponse\u003e   ..."},"295":{y:0,u:"../Content/Actions/Training/RemoveVehicleModelImages.htm",l:-1,t:"RemoveVehicleModelImages",i:0.000560321803674833,a:"Removes training images from a vehicle model. Type: synchronous Example /action=RemoveVehicleModelImages\u0026database=Cars\n                                \u0026identifier=FordFocusRS\n                                \u0026imagelabels=image1,image2\n Response \u003cautnresponse\u003e\n  ..."},"296":{y:0,u:"../Content/Actions/Training/RemoveVehicleModelMetadata.htm",l:-1,t:"RemoveVehicleModelMetadata",i:0.000232026246712445,a:"Removes custom metadata (a key-value pair) from a vehicle model. Type: synchronous Example /action=RemoveVehicleModelMetadata\u0026database=Cars\n                                  \u0026identifier=FordFocusRS\n                                  \u0026key=generation Response \u003cautnresponse\u003e\n  ..."},"297":{y:0,u:"../Content/Actions/Training/RenameVehicleModel.htm",l:-1,t:"RenameVehicleModel",i:0.000232026246712445,a:"Renames a vehicle model. Use this action to change the identifier for a vehicle model that you have already added to a database. Type: synchronous Example /action=RenameVehicleModel\u0026database=Cars\n                          \u0026identifier=FordFocus\n                          \u0026newidentifier=FordFocusRS ..."},"298":{y:0,u:"../Content/Actions/Training/RenameVehicleModelDatabase.htm",l:-1,t:"RenameVehicleModelDatabase",i:0.000232026246712445,a:"Renames a database that stores vehicle models. Type: synchronous Example The following example renames the database Cars, using the new name EuropeanCars. /action=RenameVehicleModelDatabase\u0026database=Cars\u0026newdatabase=EuropeanCars Response \u003cautnresponse\u003e\n  \u003caction\u003eRENAMEVEHICLEMODELDATABASE\u003c/action\u003e\n  ..."},"299":{y:0,u:"../Content/Actions/Training/SetVehicleMake.htm",l:-1,t:"SetVehicleMake",i:0.000232026246712445,a:"Associates the vehicle model with a vehicle make. You must associate every vehicle model with a make. Type: synchronous Example This example associates the vehicle model FordFocusRS with the make Ford: /action=SetVehicleMake\u0026database=Cars\n                      \u0026identifier=FordFocusRS\n                ..."},"300":{y:0,u:"../Content/Actions/Training/SyncVehicleModels.htm",l:-1,t:"SyncVehicleModels",i:0.000682056754974123,a:"Forces Media Server to synchronize its vehicle model training with the latest data in the database. When you train Media Server, the  database is updated with new training data. However, Media Server does not use this training in analysis operations until it has synchronized with the database. Media ..."},"301":{y:0,u:"../Content/Actions/Training/TrainVehicleModel.htm",l:-1,t:"TrainVehicleModel",i:0.00038615819851343,a:"Trains Media Server to recognize a vehicle model in one action. Running this action is equivalent to running the following actions in the following order: NewVehicleModel AddVehicleModelImages AddVehicleModelMetadata  (optional) BuildVehicleModel NullVehicleModelImageData  (optional) This action is ..."},"302":{y:0,u:"../Content/Actions/Training/UnsyncVehicleModels.htm",l:-1,t:"UnsyncVehicleModels",i:0.000232026246712445,a:"Removes all vehicle model recognition training from memory (this has no effect on the training database). After the training is removed from memory, vehicle model recognition does not return any results. You might want to do this  if you have a large amount of vehicle model data in your database but ..."},"303":{y:0,u:"../Content/Actions/Training/UpdateVehicleModelMetadata.htm",l:-1,t:"UpdateVehicleModelMetadata",i:0.000232026246712445,a:"Updates the value of a key-value pair in the custom metadata of a vehicle model. Type: synchronous Example /action=UpdateVehicleModelMetadata\u0026database=Cars\n                                  \u0026identifier=FordFocusRS\n                                  \u0026key=generation\n                                  ..."},"304":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Parameters_for_All_Actio.htm",l:-1,t:"Parameters for All Actions",i:0.000225190105666888,a:"Parameters for All Actions This section describes action parameters that you can use in all  ACI actions."},"305":{y:0,u:"../Content/Configuration/_ACI_Config.htm",l:-1,t:"Configuration Parameters",i:0.000225190105666888,a:"Configuration Parameters This section describes the configuration parameters that you can use to configure Media Server."},"306":{y:0,u:"../Content/Configuration/_ACI_Config_Intro.htm",l:-1,t:"Introduction to Configuration",i:0.000225190105666888,a:"Configuration parameters are set in the  configuration file. When setting configuration parameter values, you must use UTF-8. This section describes how to enter parameter values in the configuration file. Enter Boolean Values The following settings for Boolean parameters are interchangeable: TRUE = ..."},"307":{y:0,u:"../Content/Configuration/Actions/_ACI_params_actions.htm",l:-1,t:"Actions Configuration Parameters",i:0.000225190105666888,a:"The parameters in the [Actions] section control how the server handles incoming ACI requests, and are used to set up event handlers. AsyncStoreLibraryDirectory AsyncStoreLibraryName ConnectionString DatastoreSharingGroupName DeleteProcessingRequestsWhenServerStarts ..."},"308":{y:0,u:"../Content/Configuration/Actions/_ACI_AsyncStoreLibraryDirectory.htm",l:-1,t:"AsyncStoreLibraryDirectory",i:0.00216541000371818,a:" To store asynchronous action queues in a database, rather than in an internal datastore file, set the parameters AsyncStoreLibraryDirectory, AsyncStoreLibraryName, and ConnectionString. If you use the same database to store action queues for more than one type of component, you must also set ..."},"309":{y:0,u:"../Content/Configuration/Actions/_ACI_AsyncStoreLibraryName.htm",l:-1,t:"AsyncStoreLibraryName",i:0.00216541000371818,a:" To store asynchronous action queues in a database, rather than in an internal datastore file, set the parameters AsyncStoreLibraryDirectory, AsyncStoreLibraryName, and ConnectionString. If you use the same database to store action queues for more than one type of component, you must also set ..."},"310":{y:0,u:"../Content/Configuration/Actions/_ACI_ConnectionString.htm",l:-1,t:"ConnectionString",i:0.00216541000371818,a:" To store asynchronous action queues in a database, rather than in an internal datastore file, set the parameters AsyncStoreLibraryDirectory, AsyncStoreLibraryName, and ConnectionString. If you use the same database to store action queues for more than one type of component, you must also set ..."},"311":{y:0,u:"../Content/Configuration/Actions/_ACI_DatastoreSharingGroupName.htm",l:-1,t:"DatastoreSharingGroupName",i:0.00207488296002056,a:"To store asynchronous action queues in a database, rather than in an internal datastore file, set the parameters AsyncStoreLibraryDirectory, AsyncStoreLibraryName, and ConnectionString. To use the same database to store action queues for more than one type of IDOL component, you must also set ..."},"312":{y:0,u:"../Content/Configuration/Actions/_ACI_DeleteProcessingRequestsWhenServerStarts.htm",l:-1,t:"DeleteProcessingRequestsWhenServerStarts",i:0.00156193854815046,a:"Specifies whether to remove requests that have a status of processing from the action queue when the server starts. In most cases Micro Focus recommends that you use the default value, so that when the server starts it continues to process unfinished requests. However, if a request causes the server ..."},"313":{y:0,u:"../Content/Configuration/Actions/_ACI_DeleteQueuedRequestsWhenServerStarts.htm",l:-1,t:"DeleteQueuedRequestsWhenServerStarts",i:0.00156193854815046,a:"Specifies whether to remove requests that have a status of queued from the action queue when the server starts. The action queue can contain queued requests if the server was stopped before it could process all of the requests in the queue. In most cases Micro Focus recommends that you use the ..."},"314":{y:0,u:"../Content/Configuration/Actions/_ACI_InMemoryDatastoreBackupIntervalMins.htm",l:-1,t:"InMemoryDatastoreBackupIntervalMins",i:0.00171453073712264,a:"The time interval (in minutes) after which action queues stored in memory are written to disk. This parameter applies only when  UseInMemoryDatastore  is TRUE. Writing the queues to disk can reduce the number of actions that would be lost if Media Server stops unexpectedly, but configuring frequent ..."},"315":{y:0,u:"../Content/Configuration/Actions/_ACI_LibraryName.htm",l:-1,t:"LibraryName",i:0.0021801753655325,a:"The LibraryName parameter specifies the name of the library to use as the event handler. Specifying the .dll or .so extension is optional.  To use the internal text file handler, set this parameter to TextFileHandler, and set the FilePath parameter. To run a Lua script, set this parameter to ..."},"316":{y:0,u:"../Content/Configuration/Actions/_ACI_MaxDatastoreConnections.htm",l:-1,t:"MaxDatastoreConnections",i:0.000234304960394297,a:" The maximum number of connections to open to the database that stores asynchronous action queues. In most cases the default value of one connection is sufficient. Increasing the number of connections allows more threads to communicate with the database concurrently. This can improve performance but ..."},"317":{y:0,u:"../Content/Configuration/Actions/_ACI_MaxFinishedSize.htm",l:-1,t:"MaxFinishedSize",i:0.00156193854815046,a:"The MaxFinishedSize parameter specifies the maximum number of Finished + Error tasks to store. When the MaxFinishedSize is reached, the oldest Finished or Error action is disposed of and so is no longer accessible through the QueueInfo action. Queued, Processing, Finished, and Error are the action ..."},"318":{y:0,u:"../Content/Configuration/Actions/_ACI_MaximumThreads.htm",l:-1,t:"MaximumThreads",i:0.000699666452129974,a:"The MaximumThreads parameter specifies the maximum number of asynchronous ACI actions to process simultaneously. If you set this parameter only in the [Actions] section of the configuration file, the server simultaneously runs the specified number of actions from each asynchronous queue. You can ..."},"319":{y:0,u:"../Content/Configuration/Actions/_ACI_MaxQueueSize.htm",l:-1,t:"MaxQueueSize",i:0.00156193854815046,a:"The MaxQueueSize parameter specifies the maximum number of asynchronous actions that are queued by the server. When the maximum number is reached, no further actions are accepted until the queue has diminished. If you set this parameter only in the [Actions] section of the configuration file, the ..."},"320":{y:0,u:"../Content/Configuration/Actions/_ACI_OnError.htm",l:-1,t:"OnError",i:0.0014429278065506,a:"The OnError parameter specifies the name of a handler for the error event of an asynchronous action. The OnError event is called if an asynchronous action fails and cannot continue. The name that you specify must represent a section in the configuration file that contains the  LibraryName  parameter ..."},"321":{y:0,u:"../Content/Configuration/Actions/_ACI_OnFinish.htm",l:-1,t:"OnFinish",i:0.00129947764627002,a:"The OnFinish parameter specifies the name of a handler for the finish event of an asynchronous action. The name that you specify must represent a section in the configuration file that contains the settings for the event handler. For example: [ActionName]\nOnFinish=MyHandler\n\n[MyHandler]\n...\n"},"322":{y:0,u:"../Content/Configuration/Actions/_ACI_OnQueueEvent.htm",l:-1,t:"OnQueueEvent",i:0.000734488894678235,a:"Media Server generates an event when an asynchronous action queue becomes full, becomes empty, or the queue size passes certain thresholds. The OnQueueEvent parameter specifies the name of the handler to use to handle these events. A QueueFull event occurs when the action queue becomes full. A ..."},"323":{y:0,u:"../Content/Configuration/Actions/_ACI_OnStart.htm",l:-1,t:"OnStart",i:0.00129947764627002,a:"OnStart The OnStart parameter specifies the name of a handler for the start event of an asynchronous action. The name that you specify must represent a section in the configuration file that contains the settings for the event handler. For example: [ActionName]\nOnStart=MyHandler\n\n[MyHandler]\n...\n"},"324":{y:0,u:"../Content/Configuration/Actions/_ACI_Path.htm",l:-1,t:"Path",i:0.000234304960394297,a:"Path The directory in which to store information about asynchronous ACI actions. "},"325":{y:0,u:"../Content/Configuration/Actions/_ACI_QueueEmptyingThreshold.htm",l:-1,t:"QueueEmptyingThreshold",i:0.000588449857751304,a:"Media Server generates an event when an asynchronous action queue becomes full, becomes empty, or the queue size passes certain thresholds. This parameter specifies the threshold at which a QueueEmptying event is triggered. When the number of actions in a queue falls below this proportion of the ..."},"326":{y:0,u:"../Content/Configuration/Actions/_ACI_QueueFillingThreshold.htm",l:-1,t:"QueueFillingThreshold",i:0.000588449857751304,a:"Media Server generates an event when an asynchronous action queue becomes full, becomes empty, or the queue size passes certain thresholds. This parameter specifies the threshold at which a QueueFilling event is triggered. When the number of actions in a queue exceeds this proportion of the total ..."},"327":{y:0,u:"../Content/Configuration/Actions/_ACI_UseInMemoryDatastore.htm",l:-1,t:"UseInMemoryDatastore",i:0.00174125475611731,a:"A Boolean value that specifies whether to keep the queues for asynchronous actions in memory. Storing action queues in memory can improve performance but means that the queues (including queued actions and the results of finished actions) are lost if Media Server stops unexpectedly, for example due ..."},"328":{y:0,u:"../Content/Configuration/Actions/_ACI_UseStringentDatastore.htm",l:-1,t:"UseStringentDatastore",i:0.000234304960394297,a:"The datastore that holds the action queues for Media Server is resistant to corruption when a system failure (such as a loss of power) occurs. To increase the speed at which the datastore responds to queries from Media Server, you can set UseStringentDatastore=False, however the datastore will be ..."},"329":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_HTTP_Event_Handler_Config.htm",l:-1,t:"HTTP Event Handler Configuration",i:0.000225190105666888,a:"HTTP Event Handler Configuration The parameters in this section specify settings for the HTTP event handler. These settings are used if LibraryName=HttpHandler."},"330":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_BasicPassword.htm",l:-1,t:"BasicPassword",i:0.00150117725531029,a:"BasicPassword The BasicPassword parameter specifies the password to use to access the URL where event data is sent (when using basic authentication). This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"331":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_BasicUser.htm",l:-1,t:"BasicUser",i:0.00150117725531029,a:"BasicUser The BasicUser parameter specifies the user name to use to access the URL where event data is sent (when using basic authentication). This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"332":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_NTLMPassword.htm",l:-1,t:"NTLMPassword",i:0.00150117725531029,a:"NTLMPassword The NTLMPassword parameter specifies the password to use to access the URL where event data is sent (when using NTLM or NTLMv2 authentication). This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"333":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_NTLMUser.htm",l:-1,t:"NTLMUser",i:0.00150117725531029,a:"NTLMUser The NTLMUser parameter specifies the user name to use to access the URL where event data is sent (when using NTLM or NTLMv2 authentication). This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"334":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_ProxyHost.htm",l:-1,t:"ProxyHost",i:0.000652217053181543,a:"ProxyHost The ProxyHost parameter specifies the host name or IP address of a proxy server to use to send event data. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"335":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_ProxyPassword.htm",l:-1,t:"ProxyPassword",i:0.00235013745743905,a:"ProxyPassword The ProxyPassword parameter specifies a password for the proxy server. You can set this parameter if you need to send event data through a proxy server. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"336":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_ProxyPort.htm",l:-1,t:"ProxyPort",i:0.000502383186607267,a:"ProxyPort The ProxyPort parameter specifies the port of a proxy server to use to send event data. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"337":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_ProxyUser.htm",l:-1,t:"ProxyUsername",i:0.00249997132401332,a:"ProxyUsername The ProxyUsername parameter specifies a user name for the proxy server. You can set this parameter if you need to send event data through a proxy server. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"338":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_Retries.htm",l:-1,t:"Retries",i:0.00150117725531029,a:"Retries The Retries parameter specifies the number of times that the connector should attempt to connect to the URL where event data is sent, if the initial connection fails. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"339":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_RetryInterval.htm",l:-1,t:"RetryInterval",i:0.00150117725531029,a:"RetryInterval The RetryInterval parameter specifies the amount of time (in seconds) between attempts to connect to the URL. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"340":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_SSLConfig.htm",l:-1,t:"SSLConfig",i:0.000225190105666888,a:"SSLConfig The SSLConfig parameter specifies the name of a section in the configuration file that contains SSL settings for communication with the URL. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"341":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_URL.htm",l:-1,t:"URL",i:0.00103432918928429,a:"The URL parameter specifies the URL to receive event data. You can send event data to the application that initiated the action, so that the application receives the result of the action, or is notified if the action fails to complete successfully. This parameter is used only when you are using the ..."},"342":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_UseNTLMAuthentication.htm",l:-1,t:"UseNTLMAuthentication",i:0.00150117725531029,a:"UseNTLMAuthentication The UseNTLMAuthentication parameter specifies whether the event handler uses NTLM authentication to connect to the URL. This parameter is used only when you are using the HTTP handler (LibraryName=HttpHandler)."},"343":{y:0,u:"../Content/Configuration/Actions/HTTPEventHandler/_ACI_UseNTLMv2.htm",l:-1,t:"UseNTLMv2",i:0.00150117725531029,a:"The UseNTLMv2 parameter specifies whether the event handler uses NTLMv2 authentication to connect to the URL. To use NTLMv2 authentication, you must also set the  UseNTLMAuthentication  parameter, for example: UseNTLMAuthentication=True\nUseNTLMv2=True This parameter is used only when you are using ..."},"344":{y:0,u:"../Content/Configuration/Actions/LuaEventHandler/_ACI_Lua_Event_Handler_Config.htm",l:-1,t:"Lua Event Handler Configuration",i:0.000225190105666888,a:"Lua Event Handler Configuration The parameters in this section specify settings for the Lua event handler. These settings are used if LibraryName=LuaHandler."},"345":{y:0,u:"../Content/Configuration/Actions/LuaEventHandler/_ACI_LuaScript.htm",l:-1,t:"LuaScript",i:0.000842917240008709,a:"The LuaScript parameter specifies a Lua script to run when an event occurs. This parameter is used only when you are using the Lua handler (LibraryName=LuaHandler) Lua script event handlers have the form: function handler(request, xml)\n\t...\nend request is a table holding the request parameters. xml ..."},"346":{y:0,u:"../Content/Configuration/Actions/TextEventHandler/_ACI_Text_File_Event_Handler.htm",l:-1,t:"Text File Event Handler Configuration",i:0.000225190105666888,a:"Text File Event Handler Configuration The parameters in this section specify settings for the Text File event handler. These settings are used if LibraryName=TextFileHandler."},"347":{y:0,u:"../Content/Configuration/Actions/TextEventHandler/_ACI_FilePath.htm",l:-1,t:"FilePath",i:0.000842917240008709,a:"FilePath The FilePath parameter specifies the location of the file to receive event data. This parameter is used only when you are using the text file handler (LibraryName=TextFileHandler)."},"348":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Config_AuthorizationRoles.htm",l:-1,t:"Authorization Roles Configuration Parameters",i:0.00162441942149784,a:"The [AuthorizationRoles] section contains definitions for roles that enable particular sets of actions for particular clients, SSL identities, and GSS principals. You must create a  subsection for each authorization role that you define in the [AuthorizationRoles] configuration section.  You define ..."},"349":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_N.htm",l:-1,t:"N",i:0.000225190105666888,a:"The names of the authorization role configuration sections. For the name of this configuration parameter, replace  N with the zero-based rank number of the specified authorization role. For the parameter value, type the name of the authorization role configuration section. You must number the ..."},"350":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Config_MyAuthorizationRole.htm",l:-1,t:"My Authorization Role Configuration Parameters",i:0.000225190105666888,a:"The individual authorization role sections contain settings that define the authorization role.  You must create a  subsection for each authorization role that you define in the [AuthorizationRoles] configuration section.  You define the permissions that a particular role has by using  StandardRoles ..."},"351":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Actions.htm",l:-1,t:"Actions",i:0.000263472495522006,a:"A comma-separated list of ACI actions that you want to enable for this role configuration.  If a user connection matches one of the allowed clients, principals, or SSL identities, they have permission to perform the specified actions, regardless of whether they also have the appropriate standard ..."},"352":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_Clients.htm",l:-1,t:"Clients",i:0.000922517557950959,a:"A comma-separated list of IP addresses (or host names) of clients that have authorization for the functions included in this role.  You can use wildcards in the IP address. For example, 187.*.*.* includes any machine with an IP address that starts with 187. You can also filter Clients by using CIDR ..."},"353":{y:0,u:"../Content/Configuration/AuthorizationRoles/_ACI_GSSPrincipals.htm",l:-1,t:"GSSPrincipals",i:0.00131458886266803,a:"A comma-separated list of Kerberos GSS principals that have authorization for the functions included in this role. You can include Wildcard values in the GSS principal names.  The Kerberos principal name consists of: The Kerberos primary. This value might be the user name or service name (for ..."},});